Package org.eclipse.ui.texteditor

# Class TextZoomOutHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.texteditor.TextZoomOutHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public final class TextZoomOutHandler extends AbstractHandler

Restriction:
  This class is not intended to be referenced by clients.

## Constructor Summary

Constructors
Constructor
Description
`TextZoomOutHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent event)`
Executes with the map of parameter values by name.
`void`
`setEnabled(Object evaluationContext)`
Called by the framework to allow the handler to update its enabled state by extracting the same information available at execution time.

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextZoomOutHandler

public TextZoomOutHandler()

## Method Details

### execute

public Object execute(ExecutionEvent event) throws ExecutionException
Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.

### setEnabled

public void setEnabled(Object evaluationContext)
Description copied from class: `AbstractHandler`
Called by the framework to allow the handler to update its enabled state by extracting the same information available at execution time. Clients may override if they need to extract information from the application context.

Specified by:
  `setEnabled` in interface `IHandler2`
Overrides:
  `setEnabled` in class `AbstractHandler`
Parameters:
  `evaluationContext` - the application context. May be `null`
See Also:
  - `AbstractHandler.setBaseEnabled(boolean)`